Bug 130377 - SIGSEGV crash on exit
Summary: SIGSEGV crash on exit
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-06 21:22 UTC by J
Modified: 2006-07-14 00:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J 2006-07-06 21:22:38 UTC
Version:           1.2.3 (using KDE KDE 3.5.3)
Installed from:    Fedora RPMs

After installing Linux kernel update 2.6.17-1.2145_FC5 on Fedora I receive a message I haven't seen before asking if I want to, ...I believe... "force access or continue without archiving."  I selected the latter.  Everytime that I attempt to close akregator now I receive a message saying that the application crashed and caused the signal 11.(SIGSEGV)
Comment 1 Frank Osterfeld 2006-07-06 21:32:36 UTC
Can you provide a backtrace? Without, we can't tell what's causing the crash and the report isn't of much use.
The "force access" thing could have lead to archive corruption, as in
http://bugs.kde.org/show_bug.cgi?id=116482

But that should lead to crashes on startup, not on shutdown.
Comment 2 J 2006-07-06 22:32:23 UTC
I saw the bug report you mentioned previously and attempted deleting the mk4 files in the directory but it had not effect.  

Re: (no debugging symbols found)...I have only been using Linux semi-regularly for a couple of months now, and just installed kdbg and gdb.  Let me know if something is missing, and how I might retrieve it, until I am able to look further into how gdb works.

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1209112880 (LWP 2470)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x4fa7b59c in QObject::disconnect ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#7  0x0087702a in Akregator::ProgressManager::setFeedList ()
   from /usr/lib/kde3/libakregatorpart.so
#8  0x00887e91 in Akregator::View::slotOnShutdown ()
   from /usr/lib/kde3/libakregatorpart.so
#9  0x00885124 in Akregator::Part::slotOnShutdown ()
   from /usr/lib/kde3/libakregatorpart.so
#10 0x008853cf in Akregator::Part::~Part$delete ()
   from /usr/lib/kde3/libakregatorpart.so
#11 0x0805157d in QValueListPrivate<QString>::~QValueListPrivate ()
#12 0x415352dd in KMainWindow::closeEvent () from /usr/lib/libkdeui.so.4
#13 0x4fab5497 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x4fb7b4a2 in QMainWindow::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x4fa16f0b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x4fa1828b in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x411fdac3 in KApplication::notify () from /usr/lib/libkdecore.so.4
#18 0x4fab472e in QWidget::close () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x4157a6c8 in KSystemTray::maybeQuit () from /usr/lib/libkdeui.so.4
#20 0x4157a75a in KSystemTray::qt_invoke () from /usr/lib/libkdeui.so.4
#21 0x41a96953 in Akregator::TrayIcon::qt_invoke ()
   from /usr/lib/libakregatorprivate.so
#22 0x4fa79b4a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x4fa7a8df in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x4145a029 in KAction::activated () from /usr/lib/libkdeui.so.4
#25 0x41490c92 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#26 0x4155e93d in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4
#27 0x4155ec01 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#28 0x4fa79b4a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x4fdf057e in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0x4fa96a37 in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x4fb8fc0d in QPopupMenu::mouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x414614de in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4
#33 0x4fab5645 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x4fa16f0b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x4fa18467 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x411fdac3 in KApplication::notify () from /usr/lib/libkdecore.so.4
#37 0x4f9b1610 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#38 0x4f9af73f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#39 0x4f9c106b in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#40 0x4fa2f962 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#41 0x4fa2f826 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#42 0x4fa16a0f in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#43 0x08050223 in ?? ()
#44 0x43ac4724 in __libc_start_main () from /lib/libc.so.6
#45 0x080500b1 in ?? ()
Comment 3 Frank Osterfeld 2006-07-07 20:16:08 UTC
SVN commit 559595 by osterfeld:

fix possible crash
BUG: 130377


 M  +2 -1      ChangeLog  
 M  +3 -3      src/progressmanager.cpp  


--- branches/KDE/3.5/kdepim/akregator/ChangeLog #559594:559595
@@ -6,7 +6,8 @@
 -----------------------------
 
 Bug fixes:
- 
+
+ 2006/07/07 Fix a crash on shutdown occurring in ProgressManager (#130377) -fo
  2006/06/25 Fix context menus in browser tab, show appriopriate entries when
             text is selected (copy action) or the cursor is over a link 
             (#121957) -fo
--- branches/KDE/3.5/kdepim/akregator/src/progressmanager.cpp #559594:559595
@@ -80,8 +80,8 @@
             delete *it;
         d->handlers.clear();
         
-        disconnect(feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
-        disconnect(feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
+        disconnect(d->feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
+        disconnect(d->feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
     }
 
     d->feedList = feedList;
@@ -91,7 +91,7 @@
         QValueList<TreeNode*> list = feedList->asFlatList();
     
         for (QValueList<TreeNode*>::ConstIterator it = list.begin(); it != list.end(); ++it)
-        slotNodeAdded(*it);
+            slotNodeAdded(*it);
         connect(feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
         connect(feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
     }
Comment 4 Frank Osterfeld 2006-07-07 20:17:19 UTC
SVN commit 559596 by osterfeld:

forwardport fix (crash on shutdown) to trunk
CCBUG: 130377


 M  +3 -3      progressmanager.cpp  


--- trunk/KDE/kdepim/akregator/src/progressmanager.cpp #559595:559596
@@ -80,8 +80,8 @@
             delete *it;
         d->handlers.clear();
         
-        disconnect(feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
-        disconnect(feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
+        disconnect(d->feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
+        disconnect(d->feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
     }
 
     d->feedList = feedList;
@@ -91,7 +91,7 @@
         QList<TreeNode*> list = feedList->asFlatList();
     
         for (QList<TreeNode*>::ConstIterator it = list.begin(); it != list.end(); ++it)
-        slotNodeAdded(*it);
+            slotNodeAdded(*it);
         connect(feedList, SIGNAL(signalNodeAdded(TreeNode*)), this, SLOT(slotNodeAdded(TreeNode*)));
         connect(feedList, SIGNAL(signalNodeRemoved(TreeNode*)), this, SLOT(slotNodeRemoved(TreeNode*)));
     }
Comment 5 Frank Osterfeld 2006-07-07 20:24:27 UTC
It had nothing to do with the archive, just a little bug in the code (actually i wonder why nobody reported it before). And yes, the backtrace was useful :-) The KDE crash dialog should give you that information, too, so usually there is no need to use kdbg ti get a backtrace.
Comment 6 J 2006-07-14 00:12:33 UTC
Just wanted to note the following.  I expected that I would have to wait for a new release to have this issue resolved, but I installed the two FC5 updates available to me today and this issue dissappeared.  The updates were qt.i386 3.3.6-0.4.fc5 and libwmf.i386 0.2.8.4-5.1 .